// copy paste from your Info page Firmware confign. following 2 lines

#define BLYNK_TEMPLATE_ID "TMPLGZoOHd6R"
#define BLYNK_DEVICE_NAME "ESP32DEMO"

#define BLYNK_FIRMWARE_VERSION        "0.1.0"

#define BLYNK_PRINT Serial
//#define BLYNK_DEBUG

#include "BlynkEdgent.h"
#include <DHT.h>

#define APP_DEBUG

// Uncomment your board, or configure a custom board in Settings.h
//#define USE_WROVER_BOARD

#define DHTPIN 21          // What digital pin we're connected to
#define DHTTYPE DHT11     // DHT 11
DHT dht(DHTPIN, DHTTYPE);

//BlynkTimer timer;


void sendSensor()
{
  float h = dht.readHumidity();
  float t = dht.readTemperature(); 

  if (isnan(h) || isnan(t)) {
    Serial.println("Failed to read from DHT sensor!");
    return;
  }
  
  Blynk.virtualWrite(V1, t);
  Blynk.virtualWrite(V2, h);
}

void potValue()
{
  int result = analogRead(34);
  Blynk.virtualWrite(V3,result);
}

BLYNK_WRITE(V0) // Executes when the value of virtual pin 0 changes
{
  if(param.asInt() == 1)
  {
    // execute this code if the switch widget is now ON
    digitalWrite(23,HIGH);  // Set digital pin 23 HIGH
  }
  else
  {
    // execute this code if the switch widget is now OFF
    digitalWrite(23,LOW);  // Set digital pin 23 LOW    
  }
}


BLYNK_CONNECTED()
{
  Blynk.syncVirtual(V0);  // will cause BLYNK_WRITE(V0) to be executed
}


void setup()
{
  Serial.begin(115200);
  delay(100);
  pinMode(23, OUTPUT);
  BlynkEdgent.begin();
   dht.begin();
  // Setup a function to be called every second
  timer.setInterval(2000L, sendSensor);
  timer.setInterval(500L,potValue);
}

void loop() {
  BlynkEdgent.run();
  timer.run();
}
